#!/bin/bash
[ -f /etc/konahqss/initrate ] || exit
[ -f /etc/konahqss/initnum ] || exit
memsz=$(cat /etc/konahqss/initrate)
freememsz=$(free|grep Mem|awk '{print $4}')
if [ $memsz -gt $freememsz ]; then
  memsz=$freememsz
fi
num=$(cat /etc/konahqss/initnum)
if [ "$memsz" != "0" ]; then
  libs=$(cat /etc/konahqss/libs)
  if [ ! -z "$(echo $libs|grep x86_64)" ]; then
    initmem $memsz $num
    initreg
  elif [ ! -z "$(echo $libs|grep i386)" ]; then
    initmem32 $memsz $num
    initreg32
  elif [ ! -z "$(echo $libs|grep arm)" ]; then
    initmem-arm32 $memsz $num
    initreg-arm32
  elif [ ! -z "$(echo $libs|grep aarch64)" ]; then
    initmem-arm $memsz $num
    initreg-arm
  elif [ ! -z "$(echo $libs|grep 32)" ]; then
    initmem32 $memsz $num
    initreg32
  else
    initmem $memsz $num
    initreg
  fi
fi
